commit:     93542edc9ad8811f9adb7a26f1597102f8084328
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 10 19:43:37 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jul 14 13:02:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=93542edc

dev-libs/libtommath: bump to 1.2.0

Closes: https://bugs.gentoo.org/723854
Closes: https://bugs.gentoo.org/641184
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/libtommath/Manifest                |  1 +
 dev-libs/libtommath/libtommath-1.2.0.ebuild | 80 +++++++++++++++++++++++++++++
 dev-libs/libtommath/metadata.xml            |  4 +-
 3 files changed, 83 insertions(+), 2 deletions(-)

diff --git a/dev-libs/libtommath/Manifest b/dev-libs/libtommath/Manifest
index f9af84786c5..67760f63274 100644
--- a/dev-libs/libtommath/Manifest
+++ b/dev-libs/libtommath/Manifest
@@ -1 +1,2 @@
 DIST ltm-1.1.0.tar.xz 2125456 BLAKE2B 
3aca7993704341f6a81e7fbef35389ac8ecd957dd78b5d576f0305d37493c3ddc32462cd787de2fb67d8e165417b18fcfde70accf991cd9433ff87591d8265ac
 SHA512 
6d1b8b09d5b975a2b84ef6ab9cb1cc63db2f0503a906e499cb9d7eaba3f487be6e7f69bf692b188f888418c61ea563aa7e2411638d8979eac426b3d603ad1b91
+DIST ltm-1.2.0.tar.xz 622120 BLAKE2B 
1537dad7da5c14264f03280e9d49fa0b7e6c1c4924c805f202d31c60569b9e3bee40674301d67b0f5b049c1c2dc5ec71b6c566ff5c9b8168d16840b031acc400
 SHA512 
6f9ccd0691831f07f86ddc81cb6145504b3d5da66dd3e92312c64cce0ea986fa4e08ba65ca8991aaebe56702c2d7c15f309696785b813dffb4c112a4ad04b203

diff --git a/dev-libs/libtommath/libtommath-1.2.0.ebuild 
b/dev-libs/libtommath/libtommath-1.2.0.ebuild
new file mode 100644
index 00000000000..c1ed57ebc34
--- /dev/null
+++ b/dev-libs/libtommath/libtommath-1.2.0.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools toolchain-funcs
+
+DESCRIPTION="Optimized and portable routines for integer theoretic 
applications"
+HOMEPAGE="http://www.libtom.net/";
+SRC_URI="https://github.com/libtom/libtommath/releases/download/v${PV}/ltm-${PV}.tar.xz";
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc examples static-libs"
+
+src_prepare() {
+       default
+
+       # need libtool for cross compilation. Bug #376643
+       cat <<-EOF > configure.ac
+       AC_INIT(libtommath, 0)
+       AM_INIT_AUTOMAKE
+       LT_INIT
+       AC_CONFIG_FILES(Makefile)
+       AC_OUTPUT
+       EOF
+
+       touch NEWS README AUTHORS ChangeLog Makefile.am
+
+       eautoreconf
+       export LIBTOOL="${S}"/libtool
+}
+
+src_configure() {
+       econf $(use_enable static-libs static)
+}
+
+_emake() {
+       emake \
+               CC="$(tc-getCC)" \
+               AR="$(tc-getAR)" \
+               RANLIB="$(tc-getRANLIB)" \
+               IGNORE_SPEED=1 \
+               DESTDIR="${ED}" \
+               LIBPATH="/usr/$(get_libdir)" \
+               INCPATH="/usr/include" \
+               "$@"
+}
+
+src_compile() {
+       _emake -f makefile.shared
+}
+
+src_test() {
+       # Tests must be built statically
+       # (i.e. without -f makefile.shared)
+       _emake test
+
+       ./test || die
+}
+
+src_install() {
+       _emake -f makefile.shared install
+
+       # We only link against -lc, so drop the .la file.
+       find "${ED}" -name '*.la' -delete || die
+       if ! use static-libs ; then
+               find "${ED}" -name "*.a" -delete || die
+       fi
+
+       dodoc changes.txt
+
+       use doc && dodoc doc/*.pdf
+
+       if use examples ; then
+               docinto demo
+               dodoc demo/*.c
+       fi
+}

diff --git a/dev-libs/libtommath/metadata.xml b/dev-libs/libtommath/metadata.xml
index ff722894342..7e741930423 100644
--- a/dev-libs/libtommath/metadata.xml
+++ b/dev-libs/libtommath/metadata.xml
@@ -1,8 +1,8 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
 <pkgmetadata>
-        <maintainer type="person">
-                <email>[email protected]</email>
+       <maintainer type="person">
+               <email>[email protected]</email>
                 <name>Patrick Lauer</name>
         </maintainer>
   <longdescription>

Reply via email to